Change transaction properties

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this endpoint to add or change the transaction properties. In effect, the method updates the props object within the transaction structure (see the request and response examples below).

You can also remove a transaction property (one per request) by specifying the unsetKey value in the request.

📘

Info

For more information about the transaction structure, refer to this article.

Request examples

curl -X PATCH \
    'https://api.sumsub.com/resources/kyt/txns/631f268442d8290001e1eee8/props' \
    -H 'Content-Type: application/json' \
    -H 'X-App-Token: <your-app-token>' \
    -H 'X-App-Access-Sig: <your-signature>' \
    -H 'X-App-Access-Ts: <unix-timestamp>' \
    -d '{
          "customProperty": "New custom value",
          "customPropertyTwo": "Another custom value",
          "customPropertyThree": "One more custom value"
       }'
curl -X PATCH \
    'https://api.sumsub.com/resources/kyt/txns/66c46d7566f5244e45a81167/props?unsetKey=customPropertyToDelete' \
    -H 'content-type: application/json' \
    -H 'X-App-Token: <your-app-token>' \
    -H 'X-App-Access-Sig: <your-signature>' \
    -H 'X-App-Access-Ts: <unix-timestamp>' \
    -d '{
           "customProperty": "New custom value",
           "customPropertyTwo": "Updated custom value"
         }'

Response explained

The response is a JSON file that represents the full and structured transaction data. See the response structure, possible content with descriptions on the following page.

Mind the props object where you can see the fields you have changed or added.

Response example

{
  "id": "66335d9a243caf0000000000",
  "applicantId": "662edfdb7a26390000000000",
  "externalUserId": "PlatformEvent0001",
  "clientId": "korban.inc",
  "data": {
    "txnId": "general0001",
    "txnDate": "2024-04-29 02:30:12+0000",
    "applicant": {
      "externalUserId": "PlatformEvent0001",
      "fullName": "Users Fullname",
      "address": {
        "flatNumber": "usersAddFlatNumber",
        "subStreet": "usersAddSbSt",
        "street": "usersAddSt",
        "state": "usersAddState",
        "buildingNumber": "usersAddBuildNum",
        "town": "usersAddressTown",
        "postCode": "000000",
        "country": "CAN",
        "formattedAddress": "usersAddSt, usersAddSbSt usersAddBuildNum usersAddFlatNumber, usersAddressTown, usersAddState, Canada, 000000"
      },
      "type": "individual",
      "device": {
        "ipInfo": {
          "ip": "242.1.1",
          "riskyAsn": false
        },
        "userAgent": "usersDeviceUA",
        "sessionId": "usersDeviceSesId",
        "sessionAgeMs": 18,
        "acceptLang": "en",
        "coords": {
          "lat": -1.7976931348623157,
          "lon": 1.7976931348623157,
          "accuracy": 10
        },
        "fingerprint": "usersDeviceFing"
      }
    },
    "type": "userPlatformEvent",
    "props": {
      "customPropertyTwo": "newValueTwo",
      "customPropertyThree": "newValueThree",
      "customProperty": "newValue",
      "dailyOutLimit": "10000"
    },    
    "userPlatformEventInfo": {
      "type": "general"
    }
  },
  "score": 0,
  "review": {
    "reviewId": "XvSHf",
    "attemptId": "QaUMN",
    "attemptCnt": 1,
    "elapsedSincePendingMs": 149,
    "elapsedSinceQueuedMs": 149,
    "createDate": "2024-05-02 09:32:10+0000",
    "reviewResult": {
      "reviewAnswer": "GREEN"
    },
    "reviewStatus": "completed"
  },
  "createdAt": "2024-05-02 09:32:10+0000",
  "scoringResult": {
    "score": 0,
    "dryScore": 0,
    "matchedRules": [
      {
        "id": "6602a0f43d40c8131dc4e17a",
        "name": "AFP1-agg-beh-eve-for-user-pla-eve-BBKP",
        "revision": 1,
        "title": "Aggregate behavioral events for user platform events",
        "score": 0,
        "dryRun": false,
        "action": "score",
        "stage": "pre",
        "preScoringRunnerType": "behavioralEvents"
      }
    ],
    "unmatchedRules": [],
    "action": "score",
    "ruleCnt": 2,
    "dryRunRuleCnt": 0,
    "tagScores": []
  },
  "typedTags": [],
  "txnInactive": false
}

Path Params
string
required

Unique transaction identifier in the Sumsub system.

This ID is returned in the response to this request and a webhook (kytTxnId). Save it for future use in subsequent API calls. Alternatively, you can get this identifier by the following method.

Query Params
string

Specify the property that you want to remove from the transaction. Mind that the property indicator name must be spelled exactly as it was added.

Body Params
string
required
Defaults to newValue

If you want to change or add more custom properties, add as many key-value pairs to the request body as you need.

camelCase for the property indicator is preferred (e.g., customPropertyOne).

string
string
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!